Bug 65498 - nVidia TNT2 card is not probed correctly
nVidia TNT2 card is not probed correctly
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Mike A. Harris
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-05-25 18:50 EDT by Brian Ryner
Modified: 2007-04-18 12:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-05-27 16:04:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
lspci -n output (507 bytes, text/plain)
2002-05-27 16:02 EDT, Brian Ryner
no flags Details

  None (edit)
Description Brian Ryner 2002-05-25 18:50:06 EDT
Description of Problem:

When running Xconfigurator, my TNT2 card with 32MB is incorrectly detected as an
nVidia Vanta with 1MB.  The card was, however, detected correctly by the installer.

Version-Release number of selected component (if applicable):


How Reproducible:


Additional Information:

This may be a kernel issue.  /proc/pci output is:

  Bus  1, device   0, function  0:
    VGA compatible controller: nVidia Corporation Vanta [NV6] (rev 21).
      IRQ 11.
      Master Capable.  Latency=64.  Min Gnt=5.Max Lat=1.
      Non-prefetchable 32 bit memory at 0xfd000000 [0xfdffffff].
      Prefetchable 32 bit memory at 0xf2000000 [0xf3ffffff].
Comment 1 Brian Ryner 2002-05-25 18:51:05 EDT
oops, meant to select 7.3.
Comment 2 Arjan van de Ven 2002-05-26 05:50:31 EDT
You also meant to select XConfigurator I assume
Comment 3 Brian Ryner 2002-05-26 14:30:58 EDT
No, actually I meant to select kernel.  Note how the device is misidentified in
the /proc/pci output as well.  I assumed Xconfigurator used that as part of its
Comment 4 Mike A. Harris 2002-05-27 10:09:00 EDT
That doesn't make a lot of sense.  Both anaconda and Xconfigurator both
use the exact same database, so I'm not sure how this could occur.  At
any rate, it most certainly has absolutely nothing to do with the kernel.

Is this a clean install of RHL 7.3?  Please attach the output of
"lspci -n"
Comment 5 Brian Ryner 2002-05-27 16:02:46 EDT
Created attachment 58707 [details]
lspci -n output
Comment 6 Brian Ryner 2002-05-27 16:04:03 EDT
Yes, it was a clean install.  Any chance this would have changed between kernel
2.4.18-3 (which was used during the install) and 2.4.18-4 (which I updated to)?
Comment 7 Mike A. Harris 2002-07-29 19:32:05 EDT
No.  As I said already, the kernel has absolutely nothing whatsoever
to do with this.  Every PCI device has a Vendor and device ID built
into it.  That ID is queryable via PCI config space.  The config
tools query PCI config space to find out what devices are video
devices (Class 300), and then take the vendor ID, and the device
ID, look it up in the pcitable (a file on your harddisk), and
if that ID is found, the entry for that piece of hardware lists
a device driver to use, as well as the vendor name and the device

The kernel has no part of this.  Changing the kernel will have zero

Your video card is:
01:00.0 Class 0300: 10de:002d (rev 15)

Which is:

0x10de  0x002d  "Card:RIVA TNT2"        "nVidia Corporation|RIVA TNT2 Model 64"

If you do an "lspci" you should see the correct output.
The above entry was taken from rawhide hwdata package.  Closing as
working in rawhide.  If you still have the problem with the Red Hat
"limbo" beta, feel free to open a new report against the new config
tool 'redhat-config-xfree86'


Note You need to log in before you can comment on or make changes to this bug.